Skip to main content
POST
Create Product

Authorizations

X-App-Id
string
header
required
X-App-Token
string
header
required

Body

application/json

Specify the product parameters.

Request schema for POST v1/products.

id
string

A unique identifier that represents the product and is assigned by Voucherify.

Example:

"prod_5h0wc453_1"

source_id
string

Unique product source ID.

Example:

"productSourceID16"

name
string

Unique user-defined product name.

Example:

"T-shirt"

price
integer

Unit price. It is represented by a value multiplied by 100 to accurately reflect 2 decimal places, such as $100.00 being expressed as 10000.

attributes
string[]

A list of product attributes whose values you can customize for given SKUs: ["color","size","ranking"]. Each child SKU can have a unique value for a given attribute.

metadata
object

The metadata object stores all custom attributes assigned to the product. A set of key/value pairs that you can attach to a product object. It can be useful for storing additional information about the product in a structured format.

image_url
string

The HTTPS URL pointing to the .png or .jpg file that will be used to render the product image.

Example:

"https://images.com/original.jpg"

Response

200 - application/json

Returns a product object if the operation succeeded.

Response body schema for POST v1/products.

id
string
required

Unique product ID assigned by Voucherify.

Example:

"prod_0b1da8105693710357"

source_id
string | null
required

Unique product source ID.

Example:

"productSourceID16"

name
string | null
required

Unique user-defined product name.

Example:

"T-shirt"

price
integer | null
required

Unit price. It is represented by a value multiplied by 100 to accurately reflect 2 decimal places, such as $100.00 being expressed as 10000.

attributes
string[]
required

A list of product attributes whose values you can customize for given SKUs: ["color","size","ranking"]. Each child SKU can have a unique value for a given attribute.

metadata
object
required

The metadata object stores all custom attributes assigned to the product. A set of key/value pairs that you can attach to a product object. It can be useful for storing additional information about the product in a structured format. It can be used to create product collections.

object
enum<string>
default:product
required

The type of the object represented by JSON. This object stores information about the product.

Available options:
product
image_url
string | null

The HTTPS URL pointing to the .png or .jpg file that will be used to render the product image.

Example:

"https://images.com/original.jpg"

created_at
string<date-time>

Timestamp representing the date and time when the product was created. The value is shown in the ISO 8601 format.

Example:

"2022-05-23T06:52:55.008Z"

updated_at
string<date-time> | null

Timestamp representing the date and time when the product was updated. The value is shown in the ISO 8601 format.

Example:

"2022-05-23T09:24:07.405Z"

skus
Skus List For Product ยท object

Contains information about child SKUs.

Last modified on February 19, 2026